hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rong-en Fan" <gra...@gmail.com>
Subject Re: unable to load native library when starting?
Date Fri, 11 Apr 2008 01:33:59 GMT
On Fri, Apr 11, 2008 at 1:21 AM, stack <stack@duboce.net> wrote:
>
> Rong-en Fan wrote:
>
> > Hi,
> >
> > I'm running HBase 0.1.0, when starting up, I see these logs:
> >
> > hbase-yahoo-regionserver-localhost.2008-04-07:2008-04-07 00:27:07,548
> > WARN org.apache.hadoop.util.NativeCodeLoader: Unable to load
> > native-hadoop library for your platform... using builtin-java classes
> > where applicable
> >
> > This is a 64-bit Linux. My guess is we don't include hadoop/lib/native
> > under hbase/lib/native?
> >
> >
>
>  Thats what I'd guess.  Please report back to the list if you figure it out.
>
>  We haven't been playing with native libs but that needs to change.
> Apparently, running the lzo native compressors, compression comes near to
> costless.

Okay, after copying hadoop/lib/native to hbase/lib/native, the warning no longer
appears. So I think these should also be included in HBase
distribution just like
hadoop-0.16.0-core.jar.

Regards,
Rong-En Fan

>
>  St.Ack
>

Mime
View raw message